4Suite™ API Documentation

# ► Module Ft.Server.Server.ConfigParser

Classes: ConfigParser |  |  |  | Fields: DefaultFactory, FTSERVER_SERVER_NS

## Classes

class ConfigParser

### Methods

__init__(self)
addModule(self, module)
characters(self, data)
endDocument(self)
endElementNS(self, (namespaceURI, localName), qualifiedName)
findCommand(self, qname, nameparts)
findHandler(self, name)
readConfig(self, path, source)
startDocument(self)
startElementNS(self, (namespaceURI, localName), qualifiedName, attrs)

## Fields

DefaultFactory = <Ft.Xml.InputSource.InputSourceFactory instance>
FTSERVER_SERVER_NS = 'http://xmlns.4suite.org/reserved'